<style>
#correo
{
	float:right; 
	margin-right:20px;
}
#correo:hover
{
	width:35px; 
	height:35px;
}
</style>
<?
require("../conectar.php");
$sql="SELECT * from maraton where id='$_POST[id]'";
$query=mysql_query($sql);
$mar=mysql_fetch_array($query);
?>
<fieldset>
  <legend>Condiciones para concursar</legend>
<table>
<tr id="capturamaraton"><th >Concpeto<th >Cantidad
<tr><td>Anuncios<td><?echo$mar["anuncios"]?>
<tr><td>Prospectos<td><?echo$mar["llamadas"]?>
<tr><td>Citas<td><?echo$mar["citas"]?>
<tr><td>Asistenacias<td><?echo$mar["asistencias"]?>
</table>
</fieldset>
<div id="correo" style="">
<a ><img title="Enviar Avance" width="30" height="30" src="images/correo.jpg"></a>
</div>

<?
	$dias	= (strtotime($mar["fi"])-strtotime($mar["ff"]))/86400;
	$dias 	= abs($dias); 
	$dias = floor($dias);		
	if(strtotime(date("Y-m-d"))<strtotime($mar["ff"]))
			{	$fechafin=date("Y-m-d"); 
				$diaqs	= (strtotime($mar["fi"])-strtotime(date("Y-m-d")))/86400;
				$diaqs 	= abs($diaqs); 
				$diaqs = floor($diaqs);
				$porcent=$dias/$diaqs;
				}
	else{$fechafin=$mar["ff"]; $porcent=1;}
	list($aenio,$mees,$dia)=explode("-",$mar["fi"]);
			$mees++;
			$mees--;
			$meses=array("","ENERO","FEBRERO","MARZO","ABRIL","MAYO","JUNIO","JULIO","AGOSTO","SEPTIEMBRE","OCTUBRE","NOVIEMBRE","DICIEMBRE");
	
$sql="SELECT concat(e.nombre,' ',e.a_pat) as empleado, e.id_empleado, e.email2, (select count(r.id_renta) from renta as r where ((r.id_coordinador=e.id_empleado and r.id_ejecutivo=e.id_empleado) OR r.id_ejecutivo=e.id_empleado) and r.fecha between '$mar[fi]' and '$fechafin') as pros_realizados FROM empleados as e where fecha_ingreso<'$mar[fi]' and (fechabaja='0000-00-00' or fechabaja>='$mar[ff]') and puesto in('4','5') and id_empleado<>'112'";
$query=mysql_query($sql);
while($empl=mysql_fetch_array($query))
{
$email.=$empl["email2"].",";
$motivo=1;$fe=$mar["fi"];$conteo=0;
for($f=0;$f<=$dias;$f++)
	{
	$sql="SELECT count(id_anuncio) as id,(select count(id_renta) as id from renta where id_ejecutivo='$empl[id_empleado]' and fecha='$fe') as prospectos,(select count(id_cita) as id from citas where id_emp='$empl[id_empleado]' and fecha='$fe') as citas FROM anuncios where status='1' and id_empleado='$empl[id_empleado]' and fecha_ingreso='$fe'";
	$query1=mysql_query($sql);
	$anun=mysql_fetch_array($query1);
	$descanso="NO";
	if($anun["id"]==0)
		{
			list($anio,$mes,$dia)=explode("-",$fe);
			$mes++;
			$mes--;
			$dia++;
			$dia--;
			if($dia<3)$mes++;			
			$dia="dia".$dia;			
			$sql="select $dia as d,cantidad from metas where id_meta=(SELECT id FROM meta where mes='$meses[$mes]' and anio='$anio') and tipometa='ANUNCIOS' and id_emp='$empl[id_empleado]'";
				
			$desc=mysql_query($sql);
			$descanso=mysql_fetch_array($desc);
			$descanso=$descanso["d"];
			}
	if($anun["id"]<$mar["anuncios"]&&strtotime ($fe)<strtotime(date("Y-m-d"))&&$descanso!="D"&&$fe!="2015-01-01"&&($fe!="2015-01-02" && $empl['id_empleado']!=159))
		{
		if($motivo==1)$motivo="El dia $fe realizo ".$anun["id"]." anuncios<br>"; 
		else$motivo.="El dia $fe realizo ".$anun["id"]." anuncios<br>";
		}
	if($anun["prospectos"]<$mar["llamadas"]&&strtotime ($fe)<strtotime(date("Y-m-d"))&&$descanso!="D"&&$fe!="2015-01-01"&&($fe!="2015-01-02" && $empl['id_empleado']!=159))
		{
		if($motivo==1)$motivo="El dia $fe registro ".$anun["prospectos"]." prospectos<br>"; 
		else$motivo.="El dia $fe registro ".$anun["prospectos"]." prospectos<br>";
		}
	if($anun["citas"]<$mar["citas"]&&strtotime ($fe)<strtotime(date("Y-m-d"))&&$descanso!="D"&&$fe!="2015-01-01"&&($fe!="2015-01-02" && $empl['id_empleado']!=159))
		{
		if($motivo==1)$motivo="El dia $fe registro ".$anun["citas"]." citas<br>"; 
		else$motivo.="El dia $fe registro ".$anun["citas"]." citas<br>";
		}
	$conteo=$anun["id"]+$conteo;
	$nuevafecha = strtotime ( '+1 day' , strtotime ( $fe ) ) ;
	$fe = date ( 'Y-m-d' , $nuevafecha );
	}
	$sql="select cantidad as anun, (select cantidad from metas where id_meta=(SELECT id FROM meta where mes='$meses[$mees]' and anio='$aenio') and tipometa='LLAMADAS' and id_emp='$empl[id_empleado]') as pros from metas where id_meta=(SELECT id FROM meta where mes='$meses[$mees]' and anio='$aenio') and tipometa='ANUNCIOS' and id_emp='$empl[id_empleado]' ";
			$meta=mysql_query($sql);
			$met=mysql_fetch_array($meta);
			$anun_espec= floor($met["anun"]/$porcent);
			$pros_espec=floor($met["pros"]/$porcent);
	
	$avance="<table><tr><th colspan='2'>Anuncios<tr><td>Realizados<td>".$conteo." <tr><td>Espectativa <td>$anun_espec<tr><th colspan='2'>Prospectos<tr><td> Registrados<td>".$empl["pros_realizados"]."<tr><td>Espectativa<td> $pros_espec</table>";
	if($motivo==1)
		{
		
		$calificados[]=$conteo;
		$calificados1[]=$empl["empleado"]."<br>".$avance;
		}
	else
		{
		$descalificados[]=$conteo;
		$descalificados1[]=$empl["empleado"]."<br>".$avance;
		$descalificados2[]=$motivo;
		}
		//echo"<br>".$empl["empleado"]." hizo $conteo $motivo";
}
for($x=0;$x<count($calificados);$x++)
{
	for($y=0;$y<count($calificados);$y++)
	{
	if($x!=$y)
		{
		$comparado=$calificados[$y];
		$comparado1=$calificados1[$y];
		if($calificados[$x]>$comparado)
			{
			$calificados[$y]=$calificados[$x];
			$calificados1[$y]=$calificados1[$x];
			$calificados[$x]=$comparado;
			$calificados1[$x]=$comparado1;
			}
		}

	}
}

for($x=0;$x<count($descalificados);$x++)
{
	for($y=0;$y<count($descalificados);$y++)
	{
	if($x!=$y)
		{
		$comparado=$descalificados[$y];
		$comparado1=$descalificados1[$y];
		$comparado2=$descalificados2[$y];
		if($descalificados[$x]>$comparado)
			{
			$descalificados[$y]=$descalificados[$x];
			$descalificados1[$y]=$descalificados1[$x];
			$descalificados2[$y]=$descalificados2[$x];
			$descalificados[$x]=$comparado;
			$descalificados1[$x]=$comparado1;
			$descalificados2[$x]=$comparado2;
			}
		}

	}
}
$tabla="";
if (count($calificados)>0)
{?>
<br>
<?if(date("Y-m-d")>$mar["ff"])$n="Ganadores";else $n="Compitiendo";

$tabla.="<br><table style='width:800px;background:#FFFFFF;border-collapse:collapse;border:solid 1px #A4A4A4;font-family:arial;font-size:12px;'>
			<tr style='border-top:solid 1px #A4A4A4' id='capturamaraton'>
				<th  style='border-top:solid 1px #ffffff; background:black; color:white;' colspan='3'>".$n."</th>
			</tr>
			<tr style='border-top:solid 1px #A4A4A4' id='capturamaraton'>
				<th style='border-top:solid 1px #ffffff; background:black; color:white;'>Posicion</th>
				<th style='border-top:solid 1px #ffffff; background:black; color:white;'>Nombre</th>
				<th style='border-top:solid 1px #ffffff; background:black; color:white;'>Anuncios</th>
			</tr>";
for($x=0;$x<count($calificados);$x++)
{
$tabla.="<tr style='border-top:solid 1px #A4A4A4'>
			<td style='border-left:solid 1px #A4A4A4' align='center'>".($x+1)."</td>
			<td style='border-left:solid 1px #A4A4A4'>".$calificados1[$x]."</td>
			<td style='border-left:solid 1px #A4A4A4' align='center'>".$calificados[$x]."</td>
		</tr>";
}
$tabla.='</table><br>';
}

if (count($descalificados)>0)
{
$tabla.="<table style='width:800px;background:#FFFFFF;border-collapse:collapse;border:solid 1px #A4A4A4;font-family:arial;font-size:12px;'>
		<tr style='border-top:solid 1px #A4A4A4'>
			<th  style='border-top:solid 1px #ffffff; background:black; color:white;' colspan='4' >Descalificados</th>
		</tr>
		<tr style='border-top:solid 1px #A4A4A4'>
			<th style='border-top:solid 1px #ffffff; background:black; color:white;'>Lugar</th>
			<th style='border-top:solid 1px #ffffff; background:black; color:white;'>Nombre</th>
			<th style='border-top:solid 1px #ffffff; background:black; color:white;'>Anuncios</th>
			<th style='border-top:solid 1px #ffffff; background:black; color:white;'>Motivo</th>
		</tr>";
for($x=0;$x<count($descalificados);$x++)
{
$tabla.="<tr style='border-top:solid 1px #A4A4A4'>
			<td style='border-left:solid 1px #A4A4A4' align='center'>".($x+1)."</td>
			<td style='border-left:solid 1px #A4A4A4'>".$descalificados1[$x]."</td>
			<td style='border-left:solid 1px #A4A4A4' align='center'>".$descalificados[$x]."</td>
			<td style='border-left:solid 1px #A4A4A4'>".$descalificados2[$x]."</td>
		</tr>";
}
$tabla.='</table>';
}
echo$tabla;
?>
<input type="hidden" id="tabla" value="<?echo$tabla;?>">
<input type="hidden" id="email" value="<?echo$email;?>">

<script>
$( "#correo" ).click(function() {
var tabla=document.getElementById("tabla").value;
var email=document.getElementById("email").value;
var periodo=document.getElementById("consulMarton").options[document.getElementById('consulMarton').selectedIndex].text;
  $.post("mandamaraton.php",
	{
		id:"<?echo$_POST["id"];?>",
		tabla:tabla,
		periodo:periodo,
		email:email
	},
	function(data){alert("El avance ha sido enviado");});
});
</script>